/*
 * This file is a part of the SteamWar software.
 *
 * Copyright (C) 2021  SteamWar.de-Serverteam
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package de.steamwar.bausystem.features.gui;

import de.steamwar.bausystem.features.gui.editor.BauGuiEditor;
import de.steamwar.command.SWCommand;
import de.steamwar.inventory.SWItem;
import de.steamwar.linkage.Linked;
import org.bukkit.entity.Player;

@Linked
public class BauGUICommand extends SWCommand {

    public BauGUICommand() {
        super("gui", "baugui", "g");
    }

    @Register(help = true)
    public void genericHelp(Player p, String... args) {
        BauGUI.openBauGui(p);
    }

    @Register("item")
    public void giveItem(Player p) {
        BauGUI.giveItem(p);
    }

    @Register("editor")
    public void openEditor(Player p) {
        BauGuiEditor.openGuiEditor(p, new SWItem().getItemStack());
    }
}
